Get a Specific Record
Retrieve a specific record by its unique identifier from any Datafiniti data type.
curl -X GET "https://api.datafiniti.co/v4/properties/example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://api.datafiniti.co/v4/properties/example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.datafiniti.co/v4/properties/example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.datafiniti.co/v4/properties/example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.datafiniti.co/v4/properties/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
GET
/{data_type}/{id}GET
Bearer Token
Bearer Tokenstring
RequiredBearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>
Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>
path
data_typestring
RequiredThe type of data to retrieve the record from
Options: properties, people, products, businesses
path
idstring
RequiredThe unique identifier of the record to retrieve
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>
Path Parameters
data_typestring
RequiredThe type of data to retrieve the record from
Allowed values:
propertiespeopleproductsbusinessesidstring
RequiredThe unique identifier of the record to retrieve
Responses
Successful retrieval of the record
errorstring
Error message describing what went wrong
Was this page helpful?
Last updated Mar 26, 2026
Built with Documentation.AI